Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.Remote.RemoteSigner Class Referencesealed
Inheritance diagram for Zwipe.Build.Tools.Signing.Remote.RemoteSigner:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.Remote.RemoteSigner:
[legend]

## Public Member Functions
| RemoteSigner (string remoteAddress, string remoteToken, RemoteSignerType type, IDictionary< string, string > parameters)
| RemoteSigner (string remoteAddress, string remoteToken, RemoteSignerType type, ISignConfigurationProvider parameters)
override string[] | Sign (string filePath)
Public Member Functions inherited from Zwipe.Build.Tools.Signing.Signer
string[] | Sign (string filePath)

## Private Member Functions
HttpClient | CreateClient ()
HttpClient | CreateAuthorizedClient (string accessToken, int timeout=-1)
string | BuildUrl (string commandUrl)

## Static Private Member Functions
static string[] | ApplyResponse (string filePath, RemoteSignResponse response)
static RemoteSignRequest | PrepareRequest (RemoteSignerType type, ISignConfigurationProvider configuration, string filePath)

## Private Attributes
readonly string | _remoteAddress
readonly string | _remoteToken
readonly RemoteSignerType | _signerType
readonly ISignConfigurationProvider | _signConfigurationProvider

## Static Private Attributes
const string | ApiPath = "api/v1/"

## Constructor & Destructor Documentation

## ◆ RemoteSigner() [1/2]

Zwipe.Build.Tools.Signing.Remote.RemoteSigner.RemoteSigner | ( | string | remoteAddress,
|  | string | remoteToken,
|  | RemoteSignerType | type,
|  | IDictionary< string, string > | parameters )

## ◆ RemoteSigner() [2/2]

Zwipe.Build.Tools.Signing.Remote.RemoteSigner.RemoteSigner | ( | string | remoteAddress,
|  | string | remoteToken,
|  | RemoteSignerType | type,
|  | ISignConfigurationProvider | parameters )

## Member Function Documentation

## ◆ ApplyResponse()

string[] Zwipe.Build.Tools.Signing.Remote.RemoteSigner.ApplyResponse | ( | string | filePath,
|  | RemoteSignResponse | response )
| static private

Here is the caller graph for this function:

## ◆ BuildUrl()

string Zwipe.Build.Tools.Signing.Remote.RemoteSigner.BuildUrl | ( | string | commandUrl | ) |
| private

Here is the caller graph for this function:

## ◆ CreateAuthorizedClient()

HttpClient Zwipe.Build.Tools.Signing.Remote.RemoteSigner.CreateAuthorizedClient | ( | string | accessToken,
|  | int | timeout = -1 )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CreateClient()

HttpClient Zwipe.Build.Tools.Signing.Remote.RemoteSigner.CreateClient | ( |  | ) |
| private

Here is the caller graph for this function:

## ◆ PrepareRequest()

RemoteSignRequest Zwipe.Build.Tools.Signing.Remote.RemoteSigner.PrepareRequest | ( | RemoteSignerType | type,
|  | ISignConfigurationProvider | configuration,
|  | string | filePath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Sign()

override string[] Zwipe.Build.Tools.Signing.Remote.RemoteSigner.Sign | ( | string | filePath | ) |

Here is the call graph for this function:

## Member Data Documentation

## ◆ _remoteAddress

readonly string Zwipe.Build.Tools.Signing.Remote.RemoteSigner._remoteAddress
| private

## ◆ _remoteToken

readonly string Zwipe.Build.Tools.Signing.Remote.RemoteSigner._remoteToken
| private

## ◆ _signConfigurationProvider

readonly ISignConfigurationProvider Zwipe.Build.Tools.Signing.Remote.RemoteSigner._signConfigurationProvider
| private

## ◆ _signerType

readonly RemoteSignerType Zwipe.Build.Tools.Signing.Remote.RemoteSigner._signerType
| private

## ◆ ApiPath

const string Zwipe.Build.Tools.Signing.Remote.RemoteSigner.ApiPath = "api/v1/"
| static private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/Remote/RemoteSigner.cs